> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leavo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar Tags

> Retorna todas as tags disponíveis

## Response

<ResponseField name="array" type="Tag[]">
  Lista de todas as tags
</ResponseField>

<Expandable title="Propriedades da Tag">
  <ResponseField name="id" type="string">
    UUID único da tag
  </ResponseField>

  <ResponseField name="tenant_id" type="string">
    UUID do tenant
  </ResponseField>

  <ResponseField name="name" type="string">
    Nome da tag
  </ResponseField>

  <ResponseField name="description" type="string">
    Descrição da tag
  </ResponseField>

  <ResponseField name="color" type="string">
    Cor em formato hexadecimal
  </ResponseField>

  <ResponseField name="created_at" type="string">
    Data de criação
  </ResponseField>

  <ResponseField name="updated_at" type="string">
    Data da última atualização
  </ResponseField>
</Expandable>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.leavo.ai/backend/tags" \
    -H "Authorization: Bearer sua_chave_aqui"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.leavo.ai/backend/tags', {
    headers: {
      'Authorization': 'Bearer sua_chave_aqui'
    }
  });

  const tags = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  [
    {
      "id": "880e8400-e29b-41d4-a716-446655440000",
      "tenant_id": "660e8400-e29b-41d4-a716-446655440000",
      "name": "VIP",
      "description": "Cliente VIP",
      "color": "#ffc107",
      "created_at": "2024-01-01T00:00:00Z",
      "updated_at": "2024-01-01T00:00:00Z"
    },
    {
      "id": "880e8400-e29b-41d4-a716-446655440001",
      "tenant_id": "660e8400-e29b-41d4-a716-446655440000",
      "name": "Enterprise",
      "description": "Cliente Enterprise",
      "color": "#17a2b8",
      "created_at": "2024-01-01T00:00:00Z",
      "updated_at": "2024-01-01T00:00:00Z"
    }
  ]
  ```
</ResponseExample>
